PDA

View Full Version : DS 209+: Nach Upgrade auf SSODS 3.17 klappt SC nicht



volker
2009-06-12, 08:16
Hallo zusammen,

auf meiner DS 209+ mit Firmware DSM 2.1-0844 habe ich von SSODS 3.15 auf 3.17 aktualisiert. Das Erratum auf http://oinkzwurgl.org/ssods_downloads (If you get errors in the log file about the «Template::Stash::XS» module not being load: remove /volume1/SqueezeCenter/CPAN/Template*.) habe ich umgesetzt, ebenfalls die DS anschließend neu gestartet.

Dennoch wird das SC im Browser nicht geladen. Über die Duet ist es dagegen nutzbar. Das Server-Log sagt:

0015: [09-06-12 17:21:42.1641] Slim::Networking::IO::Select::select (271) Error: Select task failed: Can't locate object method "new" via package "Template::Stash::XS" (perhaps you forgot to load "Template::Stash::XS"?) at /volume1/SSODS/lib/perl5/site_perl/5.8.8/ppc-linux-thread-multi/Template/Config.pm line 195.
0014:
0013: BEGIN failed--compilation aborted at (eval 589) line 2.
0012: Compilation failed in require at (eval 589) line 2.
0011: BEGIN failed--compilation aborted at /volume1/SSODS/lib/perl5/site_perl/5.8.8/ppc-linux-thread-multi/Template/Stash/XS.pm line 31.
0010:
0009: Template::Stash::XS object version 2.20 does not match bootstrap parameter 2.15 at /volume1/SSODS/lib/perl5/5.8.8/ppc-linux-thread-multi/DynaLoader.pm line 253.
0008:
0007: Couldn't load Template::Stash::XS 2.15:
0006: [09-06-12 17:21:15.5283] Slim::bootstrap::tryModuleLoad (273) Warning: Module [Template::Stash::XS] failed to load:
0005: [09-06-12 17:21:13 ] ssctrl SqueezeCenter started.
0004: [09-06-12 17:21:09 ] ssctrl Command line = /volume1/SSODS/sbin/start-stop-daemon --start --chuid admin --exec /volume1/SqueezeCenter/slimserver.pl -- --daemon --pidfile /volume1/SqueezeCenter/Cache/squeezecenter.pid --cachedir /volume1/SqueezeCenter/Cache --logdir /volume1/SqueezeCenter/Logs --prefsdir /volume1/SqueezeCenter/prefs --noupnp
0003: [09-06-12 17:21:08 ] ssctrl Starting SqueezeCenter 7.3.2-24695.
0002: [09-06-12 17:21:00 ] ssctrl SqueezeCenter stopped.
0001: [09-06-12 17:20:57 ] ssctrl Stopping SqueezeCenter 7.3.2-24695.

Weiß jemand Rat?

Edit: Nach Downgrade auf SSODS 1.16 klappt auch die Weboberfläche des SC wieder. Kurios, was mache ich da falsch?

slimsenn
2009-06-12, 10:45
Die selbe Konstellation, das selbe Problem.
Die selbe Lösung. Benutze wieder die Version 3.16.

Warum? Keine Ahnung.

carp
2009-06-12, 11:17
Meine Erfahrungen mit SSODS 3.17 habe ich hier (http://forums.slimdevices.com/showthread.php?p=431554#post431554) beschrieben.

Dingsdada
2009-06-13, 13:07
ssods 3.17 braucht man nur für die squeececenter 7.3.4 version.
(sqlite unterstützung)

carp
2009-06-15, 01:25
> ssods 3.17 braucht man nur für die squeececenter 7.3.4 version.

Es wäre hilfreich, wenn man das auf der Website von SSODS (http://oinkzwurgl.org/ssods_downloads) nachlesen könnte. Außerdem sollte SSODS 3.17 meiner Meinung nach dennoch weiterhin mit der aktuellen stabilen Version von Squeezecenter funktionieren.